body {
    font-family: Arial, sans-serif;
    background-image: url("Assets/Calculator\ BGC.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

body h1{
    margin-bottom: 5%;
}

.container {
    text-align: center; 
    background-color: rgba(255, 255, 255, 0.5);
    padding: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    max-width: 500px;
    width: 90%;
    animation: fadeIn 1.5s ease-in-out;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 800;
}

.input-field {
    width: calc(100% - 22px); /* Ensuring consistent width */
    padding: 10px;
    margin: 0 auto;
    border: 2px solid black;
    border-radius: 5px;
    background-color: transparent;
    box-sizing: border-box;
    font-size: 16px;
}

.button {
    display: block;
    margin: 20px auto;
    padding: 15px 30px;
    font-size: 18px;
    color: #fff;
    background-color: #007bff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

.button:hover {
    background-color: #0056b3;
    transform: translateY(-5px);
}

.back a{
    text-decoration: none;
    color: white;
}

.result, .error {
    margin-top: 20px;
    font-size: 1.2em;
    background-color: white;
    padding: 10px;
    display: none; /* Hide by default */
}

.result {
    color: #28a745;
}

.error {
    color: #dc3545;
}

@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@media only screen and (min-width: 768px) {
    .container {
        width: 70%;
    }
}
